import { Card, CardContent, CardHeader, CardTitle } from "@/components/ui/card";
import { getBuildInfo } from "../util/env";
import { Clock, GitBranch, GitCommit, Tag } from "lucide-react";

export default function BuildInfoCard() {
  const buildInfo = getBuildInfo();

  return (
    <Card className="w-full">
      <CardHeader>
        <CardTitle className="text-2xl font-bold">Build Information</CardTitle>
      </CardHeader>
      <CardContent className="grid gap-4">
        <div className="flex items-center space-x-4">
          <GitBranch className="h-5 w-5 text-muted-foreground" />
          <div>
            <p className="text-sm font-medium leading-none">Git Branch</p>
            <p className="text-sm text-muted-foreground">{buildInfo.gitBranch}</p>
          </div>
        </div>
        <div className="flex items-center space-x-4">
          <GitCommit className="h-5 w-5 text-muted-foreground" />
          <div>
            <p className="text-sm font-medium leading-none">Git Hash</p>
            <p className="text-sm text-muted-foreground">{buildInfo.gitHash}</p>
          </div>
        </div>
        <div className="flex items-center space-x-4">
          <Clock className="h-5 w-5 text-muted-foreground" />
          <div>
            <p className="text-sm font-medium leading-none">Build Time</p>
            <p className="text-sm text-muted-foreground">{buildInfo.buildTime}</p>
          </div>
        </div>
        <div className="flex items-center space-x-4">
          <Tag className="h-5 w-5 text-muted-foreground" />
          <div>
            <p className="text-sm font-medium leading-none">Build Version</p>
            <p className="text-sm text-muted-foreground">{buildInfo.buildVersion}</p>
          </div>
        </div>
      </CardContent>
    </Card>
  );
}