import { Kysely, sql } from 'kysely';

export async function up(db: Kysely<any>) {
    await db.schema
        .createTable("user_settings")
        .addColumn("username", "varchar(256)", col => col.notNull().primaryKey())
        .addColumn("settings", "json", col => col.notNull())
        .addForeignKeyConstraint("user_settings_username_fk", ["username"], "users", ["username"])
        .execute();

    await db.updateTable("schema_migration")
        .set({ version: "2025-06-26", dirty: 0 })
        .execute();
}

export async function down(db: Kysely<any>) {
    throw new Error('Downward migrations are not supported. Restore from backup.');
}