import { migrateDB } from "../src/database.ts";
import { config } from "dotenv";

config(); // Load environment variables from .env file

export async function runMigration() {
    try {
        await migrateDB();
        console.log("Database migration completed successfully.");
    } catch (error) {
        console.error("Database migration failed:", error);
        process.exit(1);
    }
}

await runMigration();